ATA_DEVCHK(9)

NAME
ata_devchk - PATA device presence detection

SYNOPSIS

unsigned int ata_devchk (struct ata_port * ap, unsigned int device);

ARGUMENTS

ap  ATA channel to examine

device
    Device to examine (starting at zero)

DESCRIPTION

Dispatch ATA device presence detection, depending on whether we are using PIO or MMIO to talk to the ATA shadow registers.

LOCKING

caller.

AUTHOR
Jeff Garzik.